Update Schedule

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/schedule
API call form
Examples

A schedule is an automated synchronization or screenshot task. This way you can automatically send screenshots with a certain frequency or specify how frequently a dataset has to be synchronized. Schedules can be created, updated and deleted by all users or group members with at least modifying rights to the securable.

Request parametersResponse schema
started_at DATETIME

When the schedule should start.

frequency_unit STRING

Unit of frequency for the schedule.

frequency_quantity NUMBER

Quantity of the frequency unit.

timezone_id STRING

Timezone ID for the schedule.

Default value:Europe/Brussels
Can be executed by:
Entity Owner
Can be associated to:
Alert
Dashboard
Dataset
User
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
pip install luzmo-sdk
Example Response
200
400
500
{
  "id": "29db3c0e-be2b-488b-9b54-d1d9ae9dff3a",
  "task": null,
  "started_at": "2018-09-03T12:38:18.614Z",
  "frequency": 1440,
  "retries": 0,
  "active": true,
  "completed_at": "2018-09-03T12:38:18.614Z",
  "created_at": "2018-09-03T12:38:18.630Z",
  "updated_at": "2018-09-03T12:38:18.656Z",
  "last_scheduled_at": null,
  "user_id": "b0d76f5d-f3da-4c55-9497-d8457ccdccda",
  "securable_id": "b3cfbfc2-a9c0-48e3-b726-b93bdb569bfa",
  "scheduled_at": "2018-09-04T12:38:18.614Z",
  "timezone": "Europe/Brussels"
}